com.brightcove.player.analytics

## Interface IAnalyticsHandler.ProcessListener

- Enclosing interface:
    IAnalyticsHandler

      public static interface IAnalyticsHandler.ProcessListener

  A listener that can receive callback notification from the `DefaultAnalyticsHandler` after processing an event.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IAnalyticsHandler.ProcessListener.Outcome` List of possibles results.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OUTCOME_DROPPED` Value of an outcome, where the event was dropped because the event could not processed successfully and the event was deemed unimportant to attempt try again later.
    `static int` | `OUTCOME_FAILED` Value of an outcome, where the event could not be processed because handler encountered an error while attempting to process the event.
    `static int` | `OUTCOME_SAVED` Value of an outcome, where the event could not be processed immediately and the event was deemed important to be backlogged and tried again later.
    `static int` | `OUTCOME_SUBMITTED` Value of an outcome, where the event was processed successfully.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onProcessed(com.brightcove.player.analytics.AnalyticsEvent event, int result, java.lang.Exception cause)` This method will be called by the `DefaultAnalyticsHandler` attempting to process an `AnalyticsEvent`.

- - ### Field Detail

    - #### OUTCOME_DROPPED

          static final int OUTCOME_DROPPED

      Value of an outcome, where the event was dropped because the event could not processed successfully and the event was deemed unimportant to attempt try again later.
      See Also:
        Constant Field Values

    - #### OUTCOME_SUBMITTED

          static final int OUTCOME_SUBMITTED

      Value of an outcome, where the event was processed successfully.
      See Also:
        Constant Field Values

    - #### OUTCOME_SAVED

          static final int OUTCOME_SAVED

      Value of an outcome, where the event could not be processed immediately and the event was deemed important to be backlogged and tried again later.
      See Also:
        Constant Field Values

    - #### OUTCOME_FAILED

          static final int OUTCOME_FAILED

      Value of an outcome, where the event could not be processed because handler encountered an error while attempting to process the event.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### onProcessed

          void onProcessed(@NonNull
                           com.brightcove.player.analytics.AnalyticsEvent event,
                           int result,
                           @Nullable
                           java.lang.Exception cause)

      This method will be called by the `DefaultAnalyticsHandler` attempting to process an `AnalyticsEvent`.
      Parameters:
        `event` - reference to the event that was processed.
        `result` - the result of the attempt
        `cause` - reference to the underlying exception, if any